## rplay 3.3.2

=== contrib/jukebox-1.3/Makefile ===
#
# Makefile for JUKEBOX 1.3
# (C) 1993 Raphael Quinet (quinet@montefiore.ulg.ac.be)
#
# NOTE : you should "make" this program *before* you "make clean" in the
# main rplay directory ("../..").

#include <std_disclaimer.h>

include ../../Makefile.config
LIBRPLAY_DIR=   ../../librplay
INCLUDE_DIR=    ../../include

TARGET=	jukebox

SRCS = jukebox.c

OBJS = jukebox.o


all: 		$(TARGET)

$(TARGET): 	$(OBJS)
		$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)

install:	$(TARGET)
		@echo Installing $(TARGET) in $(INSTALL_BIN_DIR)
		$(BIN_INSTALL) $(TARGET) $(INSTALL_BIN_DIR)

install.man:
		@echo Installing the man page in $(INSTALL_BIN_DIR)
		$(INSTALL) man1/$(TARGET).1 $(INSTALL_MAN_DIR)/man1
		chmod a+r $(INSTALL_MAN_DIR)/man1/$(TARGET).1

world: 		all install install.man

clean:
		$(RM) $(TARGET) $(OBJS) core a.out *~ *.bak man1/*.bak man1/*~ 

depend:
		$(MAKEDEPEND) -- $(CFLAGS) -- $(SRCS)

tar: 		clean
		(cd .. ; tar -cvf $(TARGET).tar $(TARGET) ; gzip -9 $(TARGET).tar )

zip: 		clean
		(cd .. ; zip -9 -o -y -r $(TARGET).zip $(TARGET) )

=== contrib/mailsound/Makefile ===
include ../../Makefile.config

CPPFLAGS=	$(CC_OPTIONS) -I../../include

.c.o:
		$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

LDFLAGS=	$(LD_OPTIONS) -L../../librplay -lrplay

OBJS=		mailsound.o

mailsound:	$(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

=== contrib/pos/Makefile ===
include ../../Makefile.config

CPPFLAGS=	$(CC_OPTIONS) -I../../include -I/usr/X11R6/include

.c.o:
		$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

LDFLAGS=	$(LD_OPTIONS) -L../../librplay -L/usr/X11R6/lib -lrplay -lforms -lXpm -lX11 -lm

OBJS=		pos.o

pos:		$(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

=== contrib/rplaytool-1.1/Makefile ===
## -- Begin Makefile configuration --

## Your favorite K&R C compiler.
CC = gcc

## rplaytool requires XView.  OPENWINHOME should be set to the
## directory that contains the XView include files and the
## XView libraries.
OPENWINHOME = /usr/openwin

## Where is `rplay.h' and `librplay.a' installed?
RPLAY_INCLUDE = /usr/local/include
RPLAY_LIB = /usr/local/lib

## Libraries you'll need for Solaris and maybe others.
#EXTRA_LIBS = -lsocket -lnsl

## The OpenWindows Developer's Guide is only required if you're
## going to modify this program.   
GUIDEHOME = /usr/guide

## -- End Makefile configuration --

PROGRAM = rplaytool
SOURCES.c = rptp.c misc.c getopt.c getopt1.c
SOURCES.h = 
SOURCES.G = rplaytool.G
STUBS.G = rplaytool.G

# Derived parameters.

SOURCES = \
	$(SOURCES.G) \
	$(SOURCES.h) \
	$(SOURCES.l) \
	$(SOURCES.y) \
	$(SOURCES.cps) \
	$(SOURCES.c)

TARGETS.c = \
	$(SOURCES.G:%.G=%_ui.c) \
	$(STUBS.G:%.G=%_stubs.c)

TARGETS.h = \
	$(SOURCES.G:%.G=%_ui.h) \
	$(SOURCES.l:%.l=%.h) \
	$(SOURCES.y:%.y=%.h) \
	$(SOURCES.cps:%.cps=%.h)

TARGETS.other = \
	$(SOURCES.G:%.G=%.info)

TARGETS = \
	$(TARGETS.other) \
	$(TARGETS.h) \
	$(TARGETS.c)

OBJECTS = \
	$(SOURCES.c:%.c=%.o) \
	$(TARGETS.c:%.c=%.o)

# Compiler flags.

CFLAGS += -g 
CPPFLAGS += -I$(RPLAY_INCLUDE) -I$(GUIDEHOME)/include -I$(OPENWINHOME)/include -DMAIN
LDFLAGS += -L$(RPLAY_LIB) -L$(GUIDEHOME)/lib -L$(OPENWINHOME)/lib
##LDLIBS += -lrplay -lguidexv -lguide -lxview -lolgx -lX11
LDLIBS += -lrplay -lxview -lolgx -lX11 $(EXTRA_LIBS)

# Standard targets.

all:	 $(TARGETS.other) $(PROGRAM)
objects: $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
sources: $(SOURCES)
targets: $(SOURCES) $(TARGETS)

$(PROGRAM): $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
	$(LINK.c) -o $@ $(OBJECTS) $(LDLIBS)

# Targets to be used by Saber-C.

saber_src:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) \
		$(SOURCES.c) $(TARGETS.c) $(LDLIBS)

saber_obj:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) $(OBJECTS) $(LDLIBS)

clean:
	$(RM) $(OBJECTS) *.BAK *.delta core $(PROGRAM) *~

guideclean:
	$(RM) $(SOURCES.G:%.G=%_ui.c) $(TARGETS.other) $(TARGETS.h) $(OBJECTS) *.BAK *.delta core $(PROGRAM) *~

%_ui.c: %.G
	$(GUIDEHOME)/bin/gxv $*

%_ui.h: %_ui.c
	@touch $@

%_stubs.c: %_ui.c
	@touch $@

%.info: %_ui.c
	@touch $@

=== contrib/vu/Makefile ===
include ../../Makefile.config

CPPFLAGS=	$(CC_OPTIONS) -I../../include -I/usr/X11R6/include

.c.o:
		$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

LDFLAGS=	$(LD_OPTIONS) -L../../librplay -L/usr/X11R6/lib -lrplay -lforms -lX11 -lm

OBJS=		vu.o

vu:		$(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

=== contrib/xjukebox-0.9/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/245 1997/05/20 10:05:47 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.32.2.4 1997/05/21 15:49:24 dawes Exp $
#

all::

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/26 1996/09/28 16:05:09 rws $
# $XFree86: xc/config/cf/Imake.cf,v 3.34 1997/01/05 11:49:28 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17 1997/01/14 22:12:40 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.101.2.10 1997/05/24 13:38:10 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf /main/27 1996/12/26 08:52:44 kaleb $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.57.2.6 1997/05/27 06:22:10 dawes Exp $

# operating system:  Linux 2.0.33 i586 [ELF] (2.0.33)

# $XConsortium: lnxLib.rules /main/13 1996/09/28 16:11:01 rws $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.28.2.2 1997/05/24 08:35:53 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.129.2.13 1997/06/02 01:44:09 dawes Exp $

# $XConsortium: xfree86.cf /main/34 1996/12/06 11:45:18 rws $

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.16.2.1 1997/05/18 12:00:01 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17 1997/01/14 22:12:40 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/218 1997/02/13 13:54:11 kaleb $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.33.2.2 1997/05/11 05:04:02 dawes Exp $

 _NULLCMD_ = @ echo -n

TKLIBNAME = tk4.2

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl7.6

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -Dlinux -D__i386__ -DX_LOCALE $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -Dlinux -D__i386__ -DX_LOCALE $(PROJECT_DEFINES)
      STD_DEFINES = -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -Dlinux -D__i386__ -DX_LOCALE $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include/tk
        TKLIBNAME = tk4.2
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include/tcl
       TCLLIBNAME = tcl7.6
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $XConsortium: X11.rules /main/2 1996/12/04 10:13:00 swick $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/292 1997/05/20 10:05:59 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.8.2.3 1997/05/21 15:02:13 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES =

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts
        EXTINCSRC = $(XTOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

       XENVLIBDIR = $(USRLIBDIR)
   CLIENTENVSETUP = LD_LIBRARY_PATH=$(XENVLIBDIR)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.9 1996/02/24 04:32:52 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.3
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

=== debian/changelog ===
rplay (3.3.2-16) unstable; urgency=medium

  * debian/control: Standards version moved to 3.9.8 (no changes)
  * debian/rules: add non-empty binary-indep target in order to be
                  able to build with "dpkg-buildpackage -A"
                  thanks to Santiago Vila for the patch
                  Closes: #805959

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 15 Jul 2016 19:04:35 +0200

rplay (3.3.2-15) unstable; urgency=medium

  * debian/control: Standards version moved to 3.9.6 (no changes)
  * debian/control: use dh 9
  * debian/control: DM-Upload-Allowed: removed
  * add patch 40_clang.patch to make it compile with clang
    thanks to Nicolas Sévelin-Radiguet (Closes: #741567)
  * add README.Debian as suggested by Vincent McIntyre (Closes: #597152)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Sep 2015 22:04:35 +0200

rplay (3.3.2-14) unstable; urgency=low

  * debian/control: Standards version moved to 3.9.2 (no changes)
  * debian/control: dependency on dpatch removed
  * debian/control: add dependency on libperl4-corelibs-perl to librplay-perl
  * debian/control: architecture: all for librplay-perl
  * debian/source/format: changed to 3.0 (quilt)
  * debian/rules: dpatch removed
  * debian/rules: build-arch and build-indep according to lintian 
                  recommendation added
  * debian/patches: moved from dpatch to quilt
  * debian/rplay-server.rplay: add Description: to init-script

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2011 18:04:35 +0100

rplay (3.3.2-13) unstable; urgency=low

  * New maintainer (Closes: #473853)
  * patch to avoid crash in case there is nothing to play (Closes: #502610)
  * debian/copyright: copyright collected from source files (Closes: #532449)
  * debian/control: depend on libreadline-dev (Closes: #553842)
  * debian/control: renaming rplay-perl to librplay-perl (Closes: #575930)
                    according to apt-rdepends only rplay-contrib depends
                    on rplay-perl, so simply renaming should do no harm
  * debian/control: use Breaks: instead of Conflitcs: for older vresion
                    of package
  * debian/control: dependency on dpkg (>= 1.15.4) | install-info added
  * debian/control: dependency on debhelper (>= 8.0.0)
  * debian/control: standard bumped to 3.9.1
  * debian/control: new package for shared library added
                    as lintian complained about a shared library within 
                    another package, the library has to be moved from
                    rplay-client to a separate package
  * debian/control: lintian overrides for symbol file added
  * debian/control: DM-Upload-Allowed added
  * debian/rules: dh_clean -k replaced by dh_prep
  * debian/compat: 5 changed to 8
  * debian/README.source added
  * debian/source/format: start with format 1.0
  * debian/*inst: change -e to set -e
  * debian/*rm: change -e to set -e
  * the following maintainer scripts have been removed (they are empty):
    - librplay3-dev.postinst
    - rplay-client.postinst

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Nov 2010 16:00:00 +0100

rplay (3.3.2-12) unstable; urgency=low

  * QA upload.
  * Acknowledging NMU: thanks to Peter Eisentraut who took care
  * debian/control
    - set QA group as maintainer
    - bump Standards-Version to 3.8.0
    - added Homepage field
    - added dpatch build-dep
    - replaced ${Source-Version} with ${binary:Version} in librplay3-dev dep
    - section fixed for librplay3-dev (libdevel)
    - set section: perl for rplay-perl
    - short descriptions re-worded
  * debian/watch
    - added
  * debian/rules
    - added dpatch stuff
    - removed '-s' option from install call; thanks to Julien Danjou for the
      report; Closes: #437921
    - removed '-' in front of clean target commands
    - removed commented dh_* call
    - installed upstream changelog directly (passing the filename to
      dh_installchangelog)
    - make call are now made with $(MAKE)
    - init file installation moved from install to binary-arch target
  * debian/patches/01_previous_changes.dpatch
    - added to remove direct upstream code changes
  * debian/copyright
    - clearly separated copyright and license notices
    - indented copyright, license and upstream author with 4 spaces
    - reformat the location of a Debian system of GPLv2 license text
    - left only the caption of GPLv2 license text
  * debian/rplay-contrib.postinst
    - removed since empty
  * debian/rplay-client.postrm
    - removed since empty
  * debian/patches/10_fix_manpages.dpatch
    - added to fix hyphen-used-as-minus-sign lintian warnings
  * debian/rplay-server.rplay
    - applied the patch from Christian Perrier; thanks to him; Closes: #389067
  * debian/librplay3.docs
    - removed installation of changelog, we do it in debian/rules

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 17 Aug 2008 23:58:00 +0200

rplay (3.3.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468571)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 01:02:28 +0200

rplay (3.3.2-11) unstable; urgency=low

  * re-generated configure script (closes: 369208)

 -- lantz moore <lmoore@debian.org>  Sat, 10 Jun 2006 11:05:13 -0700

rplay (3.3.2-10) unstable; urgency=low

  * build-depends on libreadline6-dev (closes: 326302)
  * -dev depends on libc6-dev (closes: 337791)
  * documented monitor command in rptp (closes: 293899)

 -- lantz moore <lmoore@debian.org>  Sun,  1 Jan 2006 15:06:51 -0800

rplay (3.3.2-9) unstable; urgency=low

  * removed "transitional" rplay package (closes: 308703)
  * removed bogus and unused inetd decl (closes: 288437)
  * include errno.h instead of extern definition (closes: 280274)
  * no longer creates the /usr/doc link (closes: 322834)
  * applied patch for gnu and kfreebsd-gnu (closes: 267997)
  
 -- lantz moore <lmoore@debian.org>  Wed, 24 Aug 2005 16:56:50 -0700



=== debian/control ===
Source: rplay
Section: sound
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 3.9.8
Build-Depends: libgsm1-dev, 
   libreadline-dev, 
   debhelper (>= 9.0.0), 
   dpkg (>= 1.15.4) | install-info
Homepage: http://rplay.doit.org/

Package: rplay-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
   dpkg (>= 1.15.4) | install-info, 
   devrplay3
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Description: rplay network audio system - basic clients
 This package contains the basic rplay clients (rplay, rptp).  The clients
 are used to play sounds on the local host or remote systems.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: devrplay3
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Description: rplay network audio system - basic library
 This package contains the basic rplay library (devrplay).
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: rplay-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Suggests: mpg123, vorbis-tools
Description: rplay network audio system - server
 This package contains the rplay server.  The rplay server allows sounds
 to be played on the system.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: librplay3
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Section: libs
Description: rplay network audio system - shared libraries
 Contains shared libraries for the rplay network audio system.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: librplay3-dev
Architecture: any
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Depends: libc6-dev | libc-dev, 
    librplay3 (= ${binary:Version}), 
    dpkg (>= 1.15.4) | install-info, 
    ${misc:Depends}
Section: libdevel
Description: rplay network audio system - development libraries
 Contains header files and development libraries for the rplay network
 audio system.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: librplay-perl
Architecture: all
Breaks: rplay (<< 3.3.2-9)
Conflicts: rplay-perl
Replaces: rplay (<< 3.3.2-9)
Depends: ${perl:Depends}, ${misc:Depends},
    libperl4-corelibs-perl | perl (<< 5.12.3-7)
Section: perl
Description: rplay network audio system - perl modules
 Contains perl modules which aid in creating rplay-aware perl scripts.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: rplay-contrib
Architecture: any
Depends: ${shlibs:Depends}, librplay-perl, ${perl:Depends}, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Description: rplay network audio system - contributed binaries
 Contains mailsounds and Mailsounds each of which can be used to play
 sounds on a system when new mail arrives.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

SHELL=/bin/bash

i = $(shell pwd)/debian/tmp
b = $(shell pwd)/debian/build

package = rplay
soname = 3
l = lib$(package)$(soname)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: 
	dh_testdir

	./configure --prefix=/usr --sysconfdir=/etc/rplay --without-x \
		--enable-rplayd-user=nobody --enable-rplayd-group=audio

	$(MAKE) CFLAGS="-O2 -D_REENTRANT"

	(cd contrib/mailsound; $(MAKE) CFLAGS="-O2 -g")

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f contrib/mailsound/mailsound{,.o} \
		gsm/Makefile rx/{config.*,Makefile}

	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install prefix=$(i)/usr \
		infodir=$(i)/usr/share/info \
		mandir=$(i)/usr/share/man

        # Lintian overrides
	cd debian ; \
	for f in *.lintian ; do \
	  [ -r "$$f" ] && { \
	    mkdir -p "$${f%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$f" "$${f%%.lintian}/usr/share/lintian/overrides/$${f%%.lintian}" ;\
	  } ;\
	done

	install contrib/mailsound/mailsound $(i)/usr/bin
	mkdir -p $(i)/usr/share/perl5
	install -m 664 perl/{RPlay.pm,rplay.ph,RPTP.pm} $(i)/usr/share/perl5
	install perl/Mailsound $(i)/usr/bin
	install -m 644 contrib/mailsound/mailsound.1 $(i)/usr/share/man/man1
	install -m 644 perl/Mailsound.1 $(i)/usr/share/man/man1
	install -d $(i)/etc/rplay
	install -m 644 etc/rplay.{conf,helpers,hosts,servers} $(i)/etc/rplay

	dh_movefiles

binary: binary-indep binary-arch

binary-indep: build install
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i	ChangeLog
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
 
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installinit -a		-prplay-server --init-script=rplay -- defaults 99 10
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs -a	ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://rplay.doit.org/dist/rplay-(.*)\.tar\.gz
